public class CategoryDetailsFragment extends Fragment {
	private ISlot<Text> category;
	public CategoryDetailsFragment(GUIPanelComponent rootPanel, ISlot<Text> category) {
		super(rootPanel);
		this.category = category;
		init();
	}
	private void init() {
		GUIPanelComponent table = GUIPanelComponent.createTable(rootPanel);
		table.styleName.set(Text.fromString("table"));
		int row = 0;
		GUIImageComponent.create(table, "/img/helper.ico", row++, 0).tooltip.set(Text.fromString("Some explanation..."));
		GUILabelComponent.create(table, "${Name}", row, 1).styleName.set(Text.fromString("formLabel"));
		GUIImageComponent.create(table, "/img/helper.ico", row++, 0).tooltip.set(Text.fromString("Some explanation..."));
		GUILabelComponent.create(table, "${Description}", row, 1).styleName.set(Text.fromString("formLabel"));
		GUIImageComponent.create(table, "/img/helper.ico", row++, 0).tooltip.set(Text.fromString("Some explanation..."));
		GUILabelComponent.create(table, "${Category template:}", row, 1).styleName.set(Text.fromString("formLabel"));
		GUIImageComponent.create(table, "/img/helper.ico", row++, 0).tooltip.set(Text.fromString("Some explanation..."));
		GUILabelComponent.create(table, "${Picture}", row, 1).styleName.set(Text.fromString("formLabel"));
		GUIImageComponent.create(table, "/img/helper.ico", row++, 0).tooltip.set(Text.fromString("Some explanation..."));
		GUILabelComponent.create(table, "${Parent category}", row, 1).styleName.set(Text.fromString("formLabel"));
		GUIImageComponent.create(table, "/img/helper.ico", row++, 0).tooltip.set(Text.fromString("Some explanation..."));
		GUILabelComponent.create(table, "${Price ranges}", row, 1).styleName.set(Text.fromString("formLabel"));
		GUIImageComponent.create(table, "/img/helper.ico", row++, 0).tooltip.set(Text.fromString("Some explanation..."));
		GUILabelComponent.create(table, "${Show on home page}", row, 1).styleName.set(Text.fromString("formLabel"));
		GUIImageComponent.create(table, "/img/helper.ico", row++, 0).tooltip.set(Text.fromString("Some explanation..."));
		GUILabelComponent.create(table, "${Published}", row, 1).styleName.set(Text.fromString("formLabel"));
		GUIImageComponent.create(table, "/img/helper.ico", row++, 0).tooltip.set(Text.fromString("Some explanation..."));
		GUILabelComponent.create(table, "${Display order}", row, 1).styleName.set(Text.fromString("formLabel"));
		GUIElementComponent seName = GUIElementComponent.createSlotEditor(table, Category.PROPERTIES.name, category);
		GUIElementComponent seDesc = GUIElementComponent.createSlotEditor(table, Category.PROPERTIES.description, category);
		GUIFieldWidget.get(seDesc).isHTML.set(Boolean.TRUE);
		GUIElementComponent seTemplate = GUIElementComponent.createSlotEditor(table, Category.PROPERTIES.template, category);
		GUIPanelComponent seImage = GUIFactory.createFileComponent(Category.PROPERTIES.image, true, true, table, null);
		GUIComponentBinding.create(category, seImage.input);
		GUIFindAllInstancesSAPComponent categories = GUIFindAllInstancesSAPComponent.create(rootPanel, Category.FQ_TYPE_NAME);
		GUIElementComponent seParent = GUIElementComponent.createSlotEditor(table, Category.PROPERTIES.company, new GUISuggestWidget(), new GUICollectionInput(), null);
		GUIComponentBinding.create(categories.value, GUICollectionInput.get(seParent).collection);
		GUIComponentBinding.create(category, GUISlotEditorKind.get(seParent).element);
		GUIComponentBinding.create(rootPanel.input, categories.refresh);
		GUIElementComponent sePriceRange = GUIElementComponent.createSlotEditor(table, Category.PROPERTIES.priceRange, category);
		GUIElementComponent seShowOnHome = GUIElementComponent.createSlotEditorCheckbox(table, Category.PROPERTIES.showOnHome, category, "", null);
		GUIElementComponent sePublished = GUIElementComponent.createSlotEditorCheckbox(table, Category.PROPERTIES.isPublished, category, "", null);
		GUIElementComponent seDispOrder = GUIElementComponent.createSlotEditor(table, Category.PROPERTIES.dispOrder, category);
		row = 0;
		TableLayoutData.setRowColumn(seName, row++, 2);
		TableLayoutData.setRowColumn(seDesc, row++, 2);
		TableLayoutData.setRowColumn(seTemplate, row++, 2);
		TableLayoutData.setRowColumn(seImage, row++, 2);
		TableLayoutData.setRowColumn(seParent, row++, 2);
		TableLayoutData.setRowColumn(sePriceRange, row++, 2);
		TableLayoutData.setRowColumn(seShowOnHome, row++, 2);
		TableLayoutData.setRowColumn(sePublished, row++, 2);
		TableLayoutData.setRowColumn(seDispOrder, row++, 2);
	}
}